class attendanceRequestListResponse {
  List<RequestList>? requestList;
  String? error;
  String? message;
  int? sessionExists;

  attendanceRequestListResponse(
      {this.requestList, this.error, this.message, this.sessionExists});

  attendanceRequestListResponse.fromJson(Map<String, dynamic> json) {
    if (json['request_list'] != null) {
      requestList = <RequestList>[];
      json['request_list'].forEach((v) {
        requestList!.add(new RequestList.fromJson(v));
      });
    }
    error = json['error'];
    message = json['message'];
    sessionExists = json['session_exists'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.requestList != null) {
      data['request_list'] = this.requestList!.map((v) => v.toJson()).toList();
    }
    data['error'] = this.error;
    data['message'] = this.message;
    data['session_exists'] = this.sessionExists;
    return data;
  }
}

class RequestList {
  String? id;
  String? attendanceType;
  String? type;
  String? date;
  String? checkInType;
  String? checkInTime;
  String? chechOutType;
  String? checkOutTime;
  String? status;
  String? requestedDatetime;
  String? employeeName;

  RequestList(
      {this.id,
        this.attendanceType,
        this.type,
        this.date,
        this.checkInType,
        this.checkInTime,
        this.chechOutType,
        this.checkOutTime,
        this.status,
        this.requestedDatetime,
        this.employeeName,
      });

  RequestList.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    attendanceType = json['attendance_type'];
    type = json['type'];
    date = json['date'];
    checkInType = json['check_in_type'];
    checkInTime = json['check_in_time'];
    chechOutType = json['chech_out_type'];
    checkOutTime = json['check_out_time'];
    status = json['status'];
    requestedDatetime = json['requested_datetime'];
    employeeName = json['employee_name'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['attendance_type'] = this.attendanceType;
    data['type'] = this.type;
    data['date'] = this.date;
    data['check_in_type'] = this.checkInType;
    data['check_in_time'] = this.checkInTime;
    data['chech_out_type'] = this.chechOutType;
    data['check_out_time'] = this.checkOutTime;
    data['status'] = this.status;
    data['requested_datetime'] = this.requestedDatetime;
    data['employee_name'] = this.employeeName;
    return data;
  }
}
